
class Password:
    """Password Object
    Meant to be accessed via client class only, not directly

    Attributes:
        **password** (str): returns password
        
    """

    def __init__(self, password):
        self.password = password

class Fact:
    """Fact Object
    Meant to be accessed via client class only, not directly
    
    Attributes:
        **id** (int): id of the fact

        **fact** (str): returns fact

        **tags** (list of str): list of tags for the fact
    

    """
    
    def __init__(self, id, fact, tags):

        self.id = id
        self.fact = fact
        self.tags = tags
        

class Quote:
    """Quote Object
    Meant to be accessed via client class only, not directly

    Attributes:
        **id** (int): id of the quote

        **quote** (str): returns quote

        **anime** (str): returns anime of quote

        **said** (str): returns character who said the quote
    """
    
    def __init__(self, id, quote, anime, said):

        self.id = id
        self.quote = quote
        self.anime = anime
        self.said = said


class Waifu:
    """Waifu Object
    Meant to be accessed via client class only, not directly

    Attributes:
        **id** (int): id of the waifu

        **images** (list of str): list of image urls

        **names** (dict of str): dict of waifu names

        **anime** (dict of str): dict of anime name & its type

        **statistics** (dict of str, int pair): statistics of waifu
    """
    
    def __init__(self, id, images, names, anime, statistics):

        self.id = id
        self.images = images
        self.names = names
        self.anime = anime
        self.statistics = statistics
